## 基础知识
学习部署之前，你需要了解公司k8s和docker以及ci知识以及星云基座和伙伴应用知识，如果不了解请先阅读下面知识链接：
1. [PHP 项目适配K8S改造步骤](http://huoban.aihoge.com/question/detail/5)
2. [服务容器自动化功能与设计](http://huoban.aihoge.com/question/detail/18)
3. [星云伙伴应用业务应用使用说明](http://huoban.aihoge.com/question/detail/1)
4. [星云基座使用说明](http://huoban.aihoge.com/question/detail/30?source=home&activeTab=%E4%BC%99%E4%BC%B4%2F%E5%9F%BA%E5%BA%A7%E4%BD%BF%E7%94%A8%E6%89%8B%E5%86%8C&key=)

## 部署配置

整个会员项服务部署配置集中在项目.env文件中，了解env文件就基本了解会员大部分部署配置。
会员还附带一个基于百度amis低代码搭建的web前端界面（这边要求使用者需要带有前端基础知识或有关搭建经验），[amis文档参考](https://aisuda.bce.baidu.com/amis/zh-CN/docs/index)。
下面基于目前最新版部署进行讲解：

### 会员中心后端配置

git地址：https://git.hoge.cn/os-yun/mermber-center.git

```shell
#基础配置
APP_NAME=member-center //应用名称 默认member-center 不建议修改
APP_SERVICE_NAME=member-center //服务名称 默认member-center 不建议修改
APP_ENV=${{会员中心开发环境}} //online环境部署应该填写pro 非online 填写dev

#mysql 这些配置是根据星云基座部署生成，建议部署完之后检查该项目是否正确
DB_DRIVER=mysql
DB_HOST=mysql8.base
DB_PORT=3306
DB_DATABASE=
DB_USERNAME=
DB_PASSWORD=
DB_CHARSET=utf8mb4
DB_COLLATION=utf8mb4_unicode_ci
DB_PREFIX=yun_

#redis 这些配置是根据星云基座部署生成，建议部署完之后检查该项目是否正确
REDIS_HOST=redis.base
REDIS_PASSWORD=hogesoft:9fsAh8ZZ1a
REDIS_PORT=6379
SELECT=15

#jwt 配置默认不需要改动，如需改动需要开发者熟悉RSA非对称加密
JWT_SECRET=LjuDSGpSZRNlbtu/aquGqAQn6OgZcddlo5ySU6xaHVLTlb01OCApC9tM2klNyIWl41D+m+jIva0Rgz1eULSo3g==
JWT_PRIVATE_KEY="-----BEGIN ENCRYPTED PRIVATE KEY-----\nMIIJpDBOBgkqhkiG9w0BBQ0wQTApBgkqhkiG9w0BBQwwHAQIglTfa36C4FcCAggA\nMAwGCCqGSIb3DQIJBQAwFAYIKoZIhvcNAwcECD/7lZkloNs3BIIJUJwjxeHozgU4\ne8DBDMhOQ7C5q1ocj3beagaIFGhn78i+UkBs8N4wBhkvJgEUr2RgPrJ8U4rShrWl\neU2foSaAQN0tMzzsro/WdwruZcfkjBjw4VdC/3yqjYFHGfwYUpUh7eb3CjbKCcAt\nfTIu+Gbome4mKelnCHM2LAZjscr28u2aQ6nOspGUdODMlMiwqO/duUvlgjqutPE0\n6SJtO6uqRls2uiujFa6kwbVV46xm1MCS4cZaP/qfm1R6emUH+GP3RrqJLpclVJor\nfIRlP1eNVNuJz1TaySF6wejarhSmdJ6UA3z6XDd4WKHsf6D+oE6l+m/BEVx0lV0A\nU/U5fTd1tLDZBcL86LhYavRiGr73kkRS+INpLWOTMnbkiPfa/6c5w6yIz2e1mVBF\nmuWm4eeu/HnlvWBHOHu8UwGuQO3Ii0EfvdIQnigxA8OhjL+6wjA4wQLfElBpShGu\nrrUURePjJVvXTzP51Dvah2onxt+RSh8qm2xmkt4DOhyUDoAHHT7ogTtL2CZXeQ+M\n7sqg1SD1JtA78kY/yCB9Dll0ixGcbisjr4pL0bESajaxmT8hurPqvUlbyGz9wnek\ntCKnljc+MMmo6jWYj3R7oKvQbz9Qir59If2TS7SmPZqZE4I3oNoDqYmn9DyDQo9W\nM/pscllcnHg7s1ICJFgYXGpX6yZ8F0I+AMyhPweQYwU1H0fHCHg9kx/oxiohU0Zb\nDcW+GOpxL7/SyPxZFsyC8t38ZDyXPr7zhsAJ8vaY5DmX8QYySlPDw/EWOGupUSld\nN7J4fU8FfIRoWVOhCQlefWX/svly30SIUcZpD9Qnm9zQ4G0CU8LmrIzHxpwGQN2L\nRQ8jK+LAlJFbJDc//+vKuZtteiVxz8KBHJrykkCBiIfinzrula2nQ65HY/LZKuPb\nRXQYYIy6B+LMSWUY+xKBxq+j5pqxtyGgKUS1SYzVFatHyFyG5teMVikCwub/Erv0\nbaMYetAO1y5YhxOCOPRnlGshh87xocdQDN7bhnF2t+eVwMgGTLlV+pHtQC7pDD+A\n2VHbzH6tJjRd/0FID3YfKLgrtD/5OF8UCFEhfv1F4jV/3Rs7b5DGwOuLiSFeefB/\n2vmpiJvHTCPCqtVJOV3gVhWWDeOt5XJiyjThFPP4N2IzvtApFAenVVTwJfQtsjIR\nXw5ANyw9ThHKIgorfjKoPgTZwGUv9UqJPXsBas+f+y5XkDPQ6TeHYhh4NBjKa/0l\nOQUdV8A/w4diicusMsgmh29YxBei1qRO+n+5FhQJOignSOKgG3yR0eMmLqVnjxvz\nwLiujgrXRLiy4cA72fFtQvu69Nxp8QPghHw17S2oelZ2sXR838yg7MTLduKqb0nj\nUgVSCRnzd77r0WWCkIFuupolOuyfjLpo4LgWZYniVbVLNkcBmrrUM+d0tnLuQiiy\nSWtYs6nEiCO19W4fuNJO9AX7L3ld6WqgGboaR35+5artTudHCJDZ9GWkKAZGC6k y\nT6iToWGzZnoChOjMqUUgIdHYHHV4idbbEUHoKAOnZVTBr1LSFXMAsPcYdYYxADOC\nFBcwEyHIn+MsuCC49PtD/rlYVpYEmUTXh9+b6HvN0B7rl1lb4/WVXeFbipPBw+uv\nUCEEcopUB/VvB+xqymjRdohaDL9p1nvlUtjc7dCOAEDH4nMeL4JskqFwip1TBMmH\nh3aZ+8KI7EwFbxvRV+4P9C8NtcygfYFgHzjqRNS/S0qbZdHt9OgqzII1yimedkat\nLGO+3E1SsDZZmckDZSf/9ZHAflsGJQphKQZ2Tl3HipCnQemKn2BtF4FwE7sOgNjK\nzbfu/50pKUBc4XnO2mWlkdJPV5Lp9lZstpgbzHOrBv8w7lWIQHbJSxXmDWsn8iyW\ngptZpwhdm1eQNX5COVMyaNEYbBlZ91iyw7+xKDxoOksPDUvrAhFdtibclY3Pt+lG\nsBaQ/mgAEmxl9jIW2q8ZVN7tXTsOOb4z5O4tZ6Pv5xugIiqX9FsVHU5PpiMBeiGt\nxzZVeRwhswbZRkIwxvL/q2ZeNr/YMyR3gG8LQE63ltt/EC+HbtEcUB1jjAKeaSa0\nELBIGitwynRbcQBrCbiewIhpw0wsyO/NLeyJ+7Vu+zyDP2ebZSgFZMiL+ZfwfZFt\nJ6lJg00mqfls4pbQc52xIUfKVt2efBuJKxc1AF/ZW7jWSPco2wX8ghmX9ggPCdfR\nzYZG5Xa3dgv/92wsLeFWLfMW7+GQXlQy62L9uSgobKshkQL9McQbtCqZUq3cJNXM\n5R7u11ys/336/TmjZLnESC9urscFl0W1g7WvHTlo72xfqpSykDbL4IMWVsvJwhhV\niKkcFpiGhSjmYXyy7prAVUP33aLwB9Xu8eeMSGKfGlZrZ/4mjsLWCQsJaaENz+el\njvoL1CNjz7iJh/ZLQbLMa0QxIKmPBubXQO4QMRIF//iyEYo1Wt0zc0MosNUkYG8p\nPYV2DwyquDfAI3ShIDXCTZZANAq6dRISLWhDaGzDEDbNxJAW4qqvN/hE0UHxabu8\nAkyCUUrogSd+W306Gui8UTGf2IEyxQp61253viZUPXYKIQVXszvikTkWW1XH1+G2\n4cgpmLnCVH949cIwTqD4sdY0TRtpWSsc3TGrU27O+3k7hHsCp2mDML4JicvpcJNs\n8wV6pyfbabDGlN0BtfaxWsD11GNsUucbVYoZBUBPgPjHYlpnZOj9SkTqZdxf9WrV\nwgl/Y9rtubdSD56Nwvu3C8uTkuyKhv76glBhZNcZSgEuhrs8OE7bSZN6d/17oHF/\ncx0hpfuzxYwSDVbf5bIvddUGEn9UTbhSkbsC1ejQ3gNYnxnLqI4B9mD0S/flcXLB\noL9SH08OGowqHCVQD3A3Lt5txLHd2kbHCdnsZezLRJDybO9pKfbH/cwCWZSC8YfN\ndI6CQZCiPPXbUWEgBgGOdKR9ogVkDfErPVZz/gIQA0kj1Tch5Vlvi3aap1fRaIyJ\nDnkf7p7VFhhUGmADrkegje+IXxWJfmZbkQ0QwoTYM1OClEOvH+6O5V93wBzxI0bl\nkEkBXG/a2XgG7cyB+NB0GJNdfb4uOFHDPefvLQtTz/88DAHUXhVe1AcXjk03iw4k\nYzkeDKMuOlN9gp/5Bx1x+BrgcA1Q7kDLYb6k1c1j5DnNHPSOpdUwXDFSg1DkhLxf\n0EEKWndVQYw+dre/Tx0at1X7iZ4Z5NQZ\n-----END ENCRYPTED PRIVATE KEY-----\n"
JWT_PUBLIC_KEY="-----BEGIN PUBLIC KEY-----\nMIICIjANBgkqhkiG9w0BAQEFAAOCAg8AMIICCgKCAgEArgffGAJ35NOp/Ruwvri2\nRLLPstzlywsLadsS79G+EpP8448ZDrKCvL2FjKch7lcLM2A84yqgqK7Y+eK5+YmO\naCmpyXDruTrU3kpQGnghB5+/OUl9NIy1qDhWmrrjXSl7OSExa3HH+I6ixbBZT1Q0\n4rXmSC1RJIy4vY5pxKBAuDprY079HHosshmqYpHD69hg2NehtwUPs23L7o8ol6mh\ni2IA2crt/Xd/uMpu45JVUF39UUTXxSrF3hOHKcouVesZRzGuPrZ4eeDmm1U7ajLt\ncAry5Bgesi2cNwl6wNzgpCjtKOcIJhRe54MDQJzsncWOjSmUGXBAWnfm0ZV8xgo3\nI5mGPv/uPkXTK+knSVUJfZCiFJBrKT6WfDCKcjgmgQZlVBWU5OC0+V4vbYYBdUFg\nkTFOLBzGAgoBdwptO+31MR+VZfoP1ys/EeEOgmxyO1evvPsmguYRD62yfafXDQXC\n8vIndgOWtLUQKd4YVhaDf7MExXXDzuMnwkSkRWidlHw7GSJosYC6htFHo2lpXhsd\nzHxw8gdcYX/FLPImYwOAONpfFOwDA9U6FGvFRSH5wMbuhxYmekX0tGMEPPFRg4jk\nuVDLuwH0WvJttbXrMDkVQQiQ70T9+hBYluirKRifAvAOXUn1aCzVfAObAO2/lJvv\nSrJXbPlJk/s4rif7rb3gdaECAwEAAQ==\n-----END PUBLIC KEY-----\n"
JWT_PASSPHRASE="D6+tnq4pdCa4OEwAKJ5cTg=="


#RabbitMQ 该配置是根据星云基座部署生成，建议部署完之后检查该项目是否正确
RABBITMQ_HOST=
RABBITMQ_PORT=5672
RABBITMQ_USER=
RABBITMQ_PASSWORD=

#MONGODB 该配置是根据星云基座部署生成，建议部署完之后检查该项目是否正确
MONGODB_USERNAME= 
MONGODB_PASSWORD=
MONGODB_HOST=mysql8.base
MONGODB_PORT=27017
MONGODB_DB=null 默认admin 数据库
MONGO_DATABASE_PREFIX=DB //DB 前缀默认不需要变动,如需变动请根据自动星云基座部署生成MONGODB_* 中 `*` 是否匹配 比如该列中MONGODB_DB 则对应`DB`

#oss 该配置自组建2.0.1.40 版本废弃该配置 新版安装在伙伴授权中不用考虑该配置
OSS_ACCESS_ID=${{OSS_ACCESS_ID}}
OSS_ACCESS_SECRET=${{OSS_ACCESS_SECRET}}
OSS_BUCKET=${{OSS_BUCKET}}
OSS_ENDPOINT=${{OSS_ENDPOINT}}

```
部署完之后需要检查事项
1. 会员部署之后需要检查一下 mysql  mongodb 以及redis 配置是否正常自动生成
2. 根据配置后端api地址 请求一下 是否有异常抛出，比如地址为 http://member.xx.com 正常返回空白或返回json error_code == 0 正确的
3. 会员其他配置，如sns 短信，授权 均在低代码【配置管理】中进行配置

### 关于云服务或plus需要提供授权配置
在低代码【配置管理】-【会员授权】中进行配置，没有的话可以新增一个，建议新增一个。需要id service_key service_access_secret 都在这边维护。

### 会员中心前端amis配置

git地址：https://git.hoge.cn/zhouyangyang/member-center-web.git

```shell
API_HOST=http://${{会员中心后端接口域名}} //该配置会员后端域名配置http还是https 根据实际情况
APP_SERVICE_NAME=member-center-web-amis // 服务名称 默认 无需修改
#积分字段别名
INTEGRAL_ALIAS=积分 //默认无需修改,修改该字段会导致页面所有积分文本显示该字段配置数值以满足将积分替换任意文本
```




## 星云oss 配置

星云oss安装相关问题，可以直接找李成。在会员服务 config/autoload/mmds_oss.php 文件中，如有需要更改请根据实际部署配置相关进行变更否则按照默认配置。
```php

return [
    'xy_oss_service_name' => env('XY_OSS_SERVICE', 'mmds'), // 自定义oss_service_name
    'xy_oss_group_name'   => env('XY_OSS_GROUP', 'mmds-hoge'), 自定义oss 分组
    'xy_oss_url'          => env('XY_OSS_URL', 'https://static-mmds.aihoge.com'),// 自定义oss 域名
    'xy_oss_bucket_name'  => env('XY_OOS_BUCKET_NAME', 'mmdsstatic')/ 自定义oss BUCKET_NAME
];

```



