## config
`congfig` 配置指的是在数据表`yun_config` 一般用来保存程序运行前设定好的配置，在runtime中不得进行变更。

该配置包含了：
1. 短信配置
2. sns登录配置
3. 昵称，实名认证，头像审核
4. 手机快捷登录


## gen_config

`gen_config`配置一般用来保存业务流程数据以及预设数据，比如会员等级，成长中心，签到等配置。yun_gen_category_config是为了更好的划分gen_config，对`gen_config`进行有效的分组。开发者在自己开发模块 使用`Config::getConfigMap()` 快速获取配置，代码示例如下：

```php

    /**
     * 获取个推快捷登录配置
     * 
     * @return array
     */
    private function getConfig(): array
    {
        $select = [
            'mobile_quick_login',
            'get_tui_iv',
            'ge_tui_get_pn_url',
            'ge_tui_app_id',
            'ge_tui_app_key',
            'ge_tui_master_secret',
            'ge_tui_encrypt_method'
        ];
        return Config::getConfigMap($select);
    }


```







